<!doctype html>
<html lang="en" th:lang="#{lang}" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head th:fragment="head">
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="Description" content="Půjčovna nářadí, dopravních prostředků, strojů a další..."/>
    <meta name="Keywords" content="půjčovna, nářadí, stavba, stroje, dopravní prostředky"/>
    <meta name="author" content="David Nekolný">
    <title>MiniPŮJČOVNA</title>

    <!-- ICON -->
    <link rel="apple-touch-icon" sizes="180x180" th:href="@{/imgs/favicon/apple-touch-icon.png}">
    <link rel="icon" type="image/png" sizes="32x32" th:href="@{/imgs/favicon/favicon-32x32.png}">
    <link rel="icon" type="image/png" sizes="16x16" th:href="@{/imgs/favicon/favicon-16x16.png}">
    <link rel="mask-icon" th:href="@{/imgs/favicon/safari-pinned-tab.svg}" color="#f7b432">
    <meta name="msapplication-TileColor" content="#ffc40d">
    <meta name="theme-color" content="#f7b432">

    <link href="https://fonts.googleapis.com/css?family=Montserrat:700|Nunito:800|Oswald:500&display=swap"
          rel="stylesheet">

    <!--MANIFEST-->
    <link rel='manifest' th:href='@{/manifest.webmanifest}'>

    <!--CSS -->
    <link th:href="@{/webjars/bootstrap/4.3.0/css/bootstrap.min.css}" rel="stylesheet">
    <!--<link th:href="@{/css/survey/style.css}" rel="stylesheet">-->
    <link th:href="@{/css/bootstrap.extension.css}" rel="stylesheet">
    <link th:href="@{/css/style.css}" rel="stylesheet">

    <!--SCRIPTS-->
    <script th:src="@{/webjars/jquery/3.3.1/jquery.min.js}"></script>
    <script th:src="@{/webjars/bootstrap/4.3.0/js/bootstrap.bundle.min.js}"></script>
    <!--<script th:src="@{/js/survey/index.js}"></script>-->
    <script th:src="@{/js/all.min.js}"></script>
    <script th:src="@{/js/feather/feather.js}"></script>
    <script th:src="@{/js/utils.js}"></script>
    <script th:src="@{/js/script.js}"></script>
</head>
<body>

<!--ukázka SEC:AUTHORIZE-->
<div sec:authorize="isAuthenticated()"></div>
<div sec:authorize="isAnonymous()"></div>
<div sec:authorize="hasRole('ADMIN')"></div>


<!--MENU-->
<header id="top" th:fragment="header(title, backUrl, fragmentName)">

    <nav id="topPanel" class="bg-orange">
        <div class="container d-flex">
            <a class="my-auto py-1 px-2 mr-2 mr-sm-3 mr-lg-4 text-white" th:if="${backUrl != null && backUrl != ''}"
               th:href="${backUrl}">
                <i class="fas fa-chevron-left fa-lg"></i>
            </a>

            <div class="h-100">
                <h4 class="my-auto" th:text="${title}"></h4>
            </div>

            <div class="ml-auto pl-2 d-flex">
                <div th:if="${fragmentName != null && fragmentName != ''}">
                    <div th:replace="fragments/topPanel :: ${fragmentName}"></div>
                </div>

                <button class="btn btn-sm text-white ml-1" type="button" data-toggle="collapse"
                        data-target="#menuCollapse"
                        aria-expanded="false" aria-controls="menuCollapse">
                    <i class="fas fa-bars"></i>
                </button>
            </div>
        </div>

        <div class="collapse menu-collapse" id="menuCollapse">
            <div class="d-flex flex-nowrap container pt-2">
                <div class="flex-grow-1 text-center pr-1">
                    <a class="btn btn-sm btn-success w-100 py-1" th:href="@{/}">
                        <i data-feather="tool"></i>
                        <span class="ml-1">Produkty</span>
                    </a>
                </div>
                <div class="flex-grow-1 text-center px-1">
                    <a class="btn btn-sm btn-primary w-100 py-1" th:href="@{/admin/users}">
                        <i data-feather="users"></i>
                        <span class="ml-1">Zákazníci</span>
                    </a>
                </div>
                <div class="text-center pl-1">
                    <a class="btn btn-sm btn-secondary w-100 py-1" th:href="@{/admin/borrows}">
                        <i data-feather="calendar"></i>
                    </a>
                </div>
                <!--<div class="col-auto text-right m-1">
                    <a class="btn btn-sm text-secondary mt-auto" th:href="@{/logout}" data-toggle="tooltip" data-placement="bottom" title="Odhlásit se">
                        <i class="fas fa-sign-out-alt"></i>
                    </a>
                </div>-->
            </div>
        </div>

        <style>
            .menu-collapse {
                padding-left: 0;
                margin: 0;
                list-style: none;
            }

            .menu-collapse a {
                text-decoration: none;
            }

            .menu-collapse svg {
                width: 1.25em;
            }
        </style>

    </nav>

    <style>
        #topPanel {
            color: #fefefe;
            padding: 10px 5px;
        }
    </style>

</header>

<!--CAROUSEL-->
<div th:fragment="carousel" id="carouselExampleSlidesOnly" class="carousel" data-ride="carousel">
    <div class="carousel-inner">
        <div class="carousel-item carousel-img active h-100">
        </div>
    </div>
</div>

<!--CAROUSEL SMALL-->
<div th:fragment="carousel-sm" id="carouselExampleSlidesOnly" class="carousel-sm" data-ride="carousel">
    <div class="carousel-inner">
        <div class="carousel-item carousel-img active h-100 shadow-bottom">
            <div class="container">
            </div>
        </div>
    </div>
</div>

<!--CAROUSEL SMALL WITH TITLE-->
<div th:fragment="carousel-sm-title(title)" id="carouselExampleSlidesOnly" class="carousel-sm" data-ride="carousel">
    <div class="carousel-inner">
        <div class="carousel-item carousel-img active h-100 shadow-bottom">
            <div class="container">
                <p th:text="${title}" class="text-white h1 mt-5 ml-5">Registrace</p>
            </div>
        </div>
    </div>
</div>

<!-- SIDE NAV-->
<nav class="sideNav nav flex-column bg-light" th:fragment="sideNav(active)">
    <h6 class="d-flex justify-content-between align-items-center px-2 mt-3 mb-1 text-muted">
        <span>Profil</span>
    </h6>
    <a class="nav-link" th:href="@{/borrows}" th:classappend="${active} == 'borrows' ? 'active' : ''">
        <i data-feather="clock"></i>
        Moje rezervace
    </a>
    <a class="nav-link" th:href="@{/profile}" th:classappend="${active} == 'profile' ? 'active' : ''">
        <i data-feather="user"></i>
        Údaje
    </a>
</nav>

<!--ADMIN SIDE NAV-->
<div id="sideDiv" th:fragment="adminSideNav(active)">
    <nav class="sideNav nav flex-column bg-light">
        <h6 class="d-flex justify-content-between align-items-center px-2 mt-2 mb-1 text-muted">
            <span>Rezervace</span>
            <a class="align-items-center text-muted" th:href="@{/admin/borrow/new}">
                <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none"
                     stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"
                     class="feather feather-plus-circle">
                    <circle cx="12" cy="12" r="10"></circle>
                    <line x1="12" y1="8" x2="12" y2="16"></line>
                    <line x1="8" y1="12" x2="16" y2="12"></line>
                </svg>
            </a>
        </h6>
        <div class="d-flex flex-wrap flex-lg-column">
            <a class="nav-link" th:href="@{/admin/borrows}" th:classappend="${active} == 'borrows' ? 'active' : ''">
                <i data-feather="share"></i>
                Výpůjčky
            </a>
            <a class="nav-link" th:href="@{/admin/reservations}"
               th:classappend="${active} == 'reservations' ? 'active' : ''">
                <i data-feather="clock"></i>
                Rezervace
            </a>

            <a class="nav-link" th:href="@{/admin/product}" th:classappend="${active} == 'product' ? 'active' : ''">
                <i data-feather="tool"></i>
                Produkty
            </a>
        </div>
        <!--<a class="nav-link disabled text-muted" th:href="@{/admin/calendar}"
           th:classappend="${active} == 'calendar' ? 'active' : ''">
            <i data-feather="calendar"></i>
            Kalendář
        </a>-->
        <h6 class="d-flex justify-content-between align-items-center px-2 mt-3 mb-1 text-muted">
            <span>Zákazníci</span>
            <a class="d-flex align-items-center text-muted" th:href="@{/admin/user/new}">
                <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none"
                     stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"
                     class="feather feather-plus-circle">
                    <circle cx="12" cy="12" r="10"></circle>
                    <line x1="12" y1="8" x2="12" y2="16"></line>
                    <line x1="8" y1="12" x2="16" y2="12"></line>
                </svg>
            </a>
        </h6>
        <div class="d-flex flex-wrap flex-lg-column">
            <a class="nav-link" th:href="@{/admin/users}" th:classappend="${active} == 'users' ? 'active' : ''">
                <i data-feather="users"></i>
                Zákazníci
            </a>
            <a class="nav-link" th:href="@{/admin/profile}" th:classappend="${active} == 'profile' ? 'active' : ''">
                <i data-feather="user"></i>
                Profil
            </a>
        </div>
    </nav>


    <div class="row no-guttersf">
        <div class="col-12 pr-lg-3">
            <a class="btn btn-sm btn-outline-success w-100 mt-2" th:href="@{/admin/borrow/new}">
                <i class="far fa-clock"></i>
                Nová rezervace
            </a>
        </div>
        <!--<div class="col-6 col-lg-12 pl-1 pl-lg-3">
            <a class="btn btn-sm btn-outline-orange w-100 mt-2" th:href="@{/admin/borrow/return}">
                <i class="fas fa-exchange-alt"></i>
                Vrácení
            </a>
        </div>-->
    </div>
</div>

<!--ALERTS-->
<div th:fragment="alerts">
    <div th:if="${errorMessage != null}" class="alert alert-danger alert-dismissible fade show" role="alert">
        <span th:text="${errorMessage}"/>
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>

    <div th:if="${successMessage != null}" class="alert alert-success alert-dismissible fade show" role="alert">
        <span th:text="${successMessage}"/>
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>

    <div th:if="${warningMessage != null}" class="alert alert-warning alert-dismissible fade show" role="alert">
        <span th:text="${warningMessage}"/>
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
</div>

<!-- SPINNER -->
<!-- <div th:replace="fragments/layout :: spinner"></div> -->
<div th:fragment="spinner">
    <div id="spinner-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle"
         style="display: none;" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-sm" role="document">
            <div class="modal-content">
                <div class="modal-body text-center">
                    <div class="mb-3 mt-2">
                        <div class="spinner-border text-dark" role="status">
                            <span class="sr-only">Loading...</span>
                        </div>
                    </div>
                    <div>
                        <h5 id="spinner-title" class="mb-3"></h5>
                        <p id="spinner-message" class="mb-0"></p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- FOOTER -->
<footer id="footer" class="border-top p-2" th:fragment="footer">

    <!-- TOAST -->
    <div id="toast"></div>

    <div class="container">
        <div class="d-flex">
            <div>
                <span class="small text-muted" th:text="${currentUser.getFullName()}"></span>
            </div>
            <a class="btn btn-sm text-secondary ml-auto" th:href="@{/logout}"
               data-toggle="tooltip" data-placement="top" title="Odhlásit se">
                <i class="fas fa-sign-out-alt"></i>
            </a>
        </div>
    </div>

    <div th:replace="fragments/layout :: pwaReg"></div>

</footer>

<script th:fragment="pwaReg">

    /***PWA***/
    // This is the "Offline copy of pages" service worker
    // Add this below content to your HTML page, or add the js file to your page at the very top to register service worker
    // Check compatibility for the browser we're running this in
    if ("serviceWorker" in navigator) {
        if (navigator.serviceWorker.controller) {
            console.log("[PWA Builder] active service worker found, no need to register");
        } else {
            // Register the service worker
            navigator.serviceWorker
                .register("service-worker.js", {
                    scope: "./"
                })
                .then(function (reg) {
                    console.log("[PWA Builder] Service worker has been registered for scope: " + reg.scope);
                });
        }
    }

</script>


</body>
</html>
